<?php

/*
Plugin Name: Digg Digg
Version: 1.7
Plugin URI: http://www.mkyong.com/blog/digg-digg-wordpress-plugin
Author: Yong Mook Kim
Author URI: http://www.mkyong.com/
Description: Integrate "Digg Button","Reddit Me Button","dzone Button" and "Yahoo Buzz Button" Into Wordpress Content 

*/ 

/*
http://www.mkyong.com/blog/digg-digg-wordpress-plugin for any help ,support ,requests, suggestions or updates

This is my first Wordpress plugin, Thanks!
*/

/*http://codex.wordpress.org/Adding_Administration_Menus*/

/*
Change Log

Digg Digg v1.7 - 12/03/2009
-Add support for line up horizontal or vertical

Digg Digg v1.6 - 08/02/2009
-Add Support for Yahoo Buzz button
-Add dd_ybuzz for all YBuzz's variables

Digg Digg v1.5.1 - 22/12/2008
-Make digg digg plugin w3c complient, Thanks Pross
-Bug fix Bug fix digg_digg_generate() button design is not display correctly.

Digg Digg v1.5 - 23/11/2008
-Add Support for dZone me button
-Add dd_dzone for all dzone's variables
-Bug fix Bug fix for "Button Allow Display Options" is not working for reddit and dzone

Digg Digg v1.4.1 - 15/11/2008
-Bug fix for Display Right float , append "&" in button
-Bug fix for "Button Allow Display Options" is not working, button is not display in right position

Digg Digg v1.4 - 14/11/2008
-Add Support for Reddit me button
-Bug fix for digg submit, when click digg button, open a new windows.
-Add dd_digg for all digg's variables
-Add dd_reddit for all reditt's variables
-<?php if(function_exists('digg_digg_reddit_generate')) { digg_digg_reddit_generate(); } ?>
-<?php if(function_exists('digg_digg_generate')) { digg_digg_generate(); } ?>

Digg Digg v1.3 - 01/11/2008
-Bug fix for digg submit, didnt include post title (thanks Byron)
-Add digg_digg prefix to every variables and methods
-Choose Digg Button Design - normal, compact or icon

Digg Digg v1.2 - 05/09/2008
Add Digg Button Control Display function Setup Screen.
-Display at Home page
-Display at Static page
-Display at Post Page
-Display at Category Page
-Display at Archive Page

Digg Digg v1.1 - 31/07/2008
Add Setup screen (Setting?C>DiggDigg) to let user choose where user want to display Digg button.
1)Append Digg Button with Left Float Content
2)Append Digg Button with Right Float Content
3)Append Digg Button Before Content
4)Append Digg Button After Content
	
*/
		
//hook hook
add_action('admin_menu', 'digg_digg_admin_menu');
add_filter('the_content', 'digg_digg_content_hook');

if(!get_option('dd_digg_appendType')){
	digg_digg_resetIt();
}

function digg_digg_resetIt(){
	
        delete_option('dd_digg_appendType');
        update_option('dd_digg_buttonDesign',"normal");
		update_option('dd_digg_display_home', "checked=on");
        update_option('dd_digg_display_page', "checked=on");
        update_option('dd_digg_display_post', "checked=on");
        update_option('dd_digg_display_cat', "checked=on");
        update_option('dd_digg_display_archive', "checked=on");
		
		delete_option('dd_reddit_appendType');
        update_option('dd_reddit_buttonDesign',"normal");
		update_option('dd_reddit_display_home', "checked=on");
        update_option('dd_reddit_display_page', "checked=on");
        update_option('dd_reddit_display_post', "checked=on");
        update_option('dd_reddit_display_cat', "checked=on");
        update_option('dd_reddit_display_archive', "checked=on");
		
		delete_option('dd_dzone_appendType');
        update_option('dd_dzone_buttonDesign',"normal");
		update_option('dd_dzone_display_home', "checked=on");
        update_option('dd_dzone_display_page', "checked=on");
        update_option('dd_dzone_display_post', "checked=on");
        update_option('dd_dzone_display_cat', "checked=on");
        update_option('dd_dzone_display_archive', "checked=on");
		
		delete_option('dd_ybuzz_appendType');
        update_option('dd_ybuzz_buttonDesign',"normal");
		update_option('dd_ybuzz_display_home', "checked=on");
        update_option('dd_ybuzz_display_page', "checked=on");
        update_option('dd_ybuzz_display_post', "checked=on");
        update_option('dd_ybuzz_display_cat', "checked=on");
        update_option('dd_ybuzz_display_archive', "checked=on");

		update_option('dd_line_up', "horizontal");	
}

function digg_digg_admin_menu() {
	add_submenu_page('options-general.php', 'Digg Digg Options', 'Digg Digg', 8, 'digg-digg', 'digg_digg_menu');
}

function digg_digg_menu(){
   
  if ($_REQUEST['digg_digg_save']) {
	  
	    //line up option
	    update_option('dd_line_up', $_REQUEST['dd_line_up']);	
	  
	    //digg.com
		update_option('dd_digg_appendType', $_REQUEST['dd_digg_appendType']);		
        update_option('dd_digg_buttonDesign', $_REQUEST['dd_digg_buttonDesign']);

        if($_POST['dd_digg_home'] == "on") update_option('dd_digg_display_home', "checked=on");
        else update_option('dd_digg_display_home', "");

        if($_POST['dd_digg_page'] == "on") update_option('dd_digg_display_page', "checked=on");
        else update_option('dd_digg_display_page', "");

        if($_POST['dd_digg_post'] == "on") update_option('dd_digg_display_post', "checked=on");
        else update_option('dd_digg_display_post', "");

        if($_POST['dd_digg_cat'] == "on") update_option('dd_digg_display_cat', "checked=on");
        else update_option('dd_digg_display_cat', "");

        if($_POST['dd_digg_archive'] == "on") update_option('dd_digg_display_archive', "checked=on");
        else update_option('dd_digg_display_archive', "");

		//reddit.com
		update_option('dd_reddit_appendType', $_REQUEST['dd_reddit_appendType']);		
        update_option('dd_reddit_buttonDesign', $_REQUEST['dd_reddit_buttonDesign']);

        if($_POST['dd_reddit_home'] == "on") update_option('dd_reddit_display_home', "checked=on");
        else update_option('dd_reddit_display_home', "");

        if($_POST['dd_reddit_page'] == "on") update_option('dd_reddit_display_page', "checked=on");
        else update_option('dd_reddit_display_page', "");

        if($_POST['dd_reddit_post'] == "on") update_option('dd_reddit_display_post', "checked=on");
        else update_option('dd_reddit_display_post', "");

        if($_POST['dd_reddit_cat'] == "on") update_option('dd_reddit_display_cat', "checked=on");
        else update_option('dd_reddit_display_cat', "");

        if($_POST['dd_reddit_archive'] == "on") update_option('dd_reddit_display_archive', "checked=on");
        else update_option('dd_reddit_display_archive', "");
		
		//dzone.com
		update_option('dd_dzone_appendType', $_REQUEST['dd_dzone_appendType']);		
        update_option('dd_dzone_buttonDesign', $_REQUEST['dd_dzone_buttonDesign']);

        if($_POST['dd_dzone_home'] == "on") update_option('dd_dzone_display_home', "checked=on");
        else update_option('dd_dzone_display_home', "");

        if($_POST['dd_dzone_page'] == "on") update_option('dd_dzone_display_page', "checked=on");
        else update_option('dd_dzone_display_page', "");

        if($_POST['dd_dzone_post'] == "on") update_option('dd_dzone_display_post', "checked=on");
        else update_option('dd_dzone_display_post', "");

        if($_POST['dd_dzone_cat'] == "on") update_option('dd_dzone_display_cat', "checked=on");
        else update_option('dd_dzone_display_cat', "");

        if($_POST['dd_dzone_archive'] == "on") update_option('dd_dzone_display_archive', "checked=on");
        else update_option('dd_dzone_display_archive', "");
		
		
		//buzz.yahoo.com
		update_option('dd_ybuzz_appendType', $_REQUEST['dd_ybuzz_appendType']);		
        update_option('dd_ybuzz_buttonDesign', $_REQUEST['dd_ybuzz_buttonDesign']);

        if($_POST['dd_ybuzz_home'] == "on") update_option('dd_ybuzz_display_home', "checked=on");
        else update_option('dd_ybuzz_display_home', "");

        if($_POST['dd_ybuzz_page'] == "on") update_option('dd_ybuzz_display_page', "checked=on");
        else update_option('dd_ybuzz_display_page', "");

        if($_POST['dd_ybuzz_post'] == "on") update_option('dd_ybuzz_display_post', "checked=on");
        else update_option('dd_ybuzz_display_post', "");

        if($_POST['dd_ybuzz_cat'] == "on") update_option('dd_ybuzz_display_cat', "checked=on");
        else update_option('dd_ybuzz_display_cat', "");

        if($_POST['dd_ybuzz_archive'] == "on") update_option('dd_ybuzz_display_archive', "checked=on");
        else update_option('dd_ybuzz_display_archive', "");
		
		echo '<div id="message" class="updated fade"><p>Saved changes.</p></div>';

  }  else if($_REQUEST['digg_digg_clear']){
	
        digg_digg_resetIt();

		echo '<div id="message" class="error fade"><p>Plugin cleared.</p></div>';
			
  }

  // load options from db to display
  $dd_digg_appendType = get_option('dd_digg_appendType');
  $dd_digg_buttonDesign = get_option('dd_digg_buttonDesign');
  
  $dd_reddit_appendType = get_option('dd_reddit_appendType');
  $dd_reddit_buttonDesign = get_option('dd_reddit_buttonDesign');
  
  $dd_dzone_appendType = get_option('dd_dzone_appendType');
  $dd_dzone_buttonDesign = get_option('dd_dzone_buttonDesign');
  
  $dd_ybuzz_appendType = get_option('dd_ybuzz_appendType');
  $dd_ybuzz_buttonDesign = get_option('dd_ybuzz_buttonDesign');
  
  $dd_line_up = get_option('dd_line_up');
  
  // display options
  print_digg_digg_menu_form($dd_digg_appendType,$dd_digg_buttonDesign,$dd_reddit_appendType,$dd_reddit_buttonDesign,$dd_dzone_appendType,$dd_dzone_buttonDesign,$dd_ybuzz_appendType,$dd_ybuzz_buttonDesign,$dd_line_up);
}

function print_digg_digg_menu_form($dd_digg_appendType='',$dd_digg_buttonDesign='',$dd_reddit_appendType='',$dd_reddit_buttonDesign='',$dd_dzone_appendType='',$dd_dzone_buttonDesign='',$dd_ybuzz_appendType='',$dd_ybuzz_buttonDesign='', $dd_line_up='horizontal'){
?>

<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" id="digg_digg_diggform" name="digg_digg_diggform">

<div class="wrap" id="digg_digg_options">
<fieldset>

<h2>Digg Digg Plugin Setup</h2>
<br/>
<table width="100%">
<tr>
<td width="50%">
All buttons line up in  
<select name="dd_line_up">
<option value="horizontal"<?php echo ($dd_line_up=="horizontal") ? " selected" : ""; ?>>Horizontal</option>
<option value="vertical"<?php echo ($dd_line_up=="vertical") ? " selected" : ""; ?>>Vertical</option>
</select> 
</td>

<td align="right" width="50%">
<span class="submit">
<input name="digg_digg_clear" id="reset" style='width:150px' value="Reset Options" type="submit" />
<input name="digg_digg_save" id="save" style='width:150px' value="Save Changes" type="submit" /></span>
</td>


</tr>

<tr><td width="50%">

<div class="wrap">
<h2>Digg.com</h2>

<h3>Digg Button Append Options</h3>

<p>Select where the Digg button you want to integrate into wordpress content</p>

<p>
<select name="dd_digg_appendType">
<option value="none"<?php echo ($dd_digg_appendType=="none") ? " selected" : ""; ?>>--No Display--</option>
<option value="left_float"<?php echo ($dd_digg_appendType=="left_float") ? " selected" : ""; ?>>Left Float Type</option>
<option value="right_float"<?php echo ($dd_digg_appendType=="right_float") ? " selected" : ""; ?>>Right Float Type</option>
<option value="before_content"<?php echo ($dd_digg_appendType=="before_content") ? " selected" : ""; ?>>Before Content Type</option>
<option value="after_content"<?php echo ($dd_digg_appendType=="after_content") ? " selected" : ""; ?>>After Content Type</option>
</select> 
</p>

<h3>Digg Button Allow Display Options </h3>

<p>Digg button allow to display in...</p>

<p>

<INPUT TYPE=CHECKBOX NAME="dd_digg_home" <?php echo get_option('dd_digg_display_home'); ?>>home page<br /> 
<INPUT TYPE=CHECKBOX NAME="dd_digg_page" <?php echo get_option('dd_digg_display_page'); ?>>static pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_digg_post" <?php echo get_option('dd_digg_display_post'); ?>>post pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_digg_cat" <?php echo get_option('dd_digg_display_cat'); ?>>category pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_digg_archive" <?php echo get_option('dd_digg_display_archive'); ?>>archive pages<br />
</p>


<h3>Digg Button Design Options</h3>

<p>Select the Digg button design</p>

<p>
<select name="dd_digg_buttonDesign">
<option value="normal"<?php echo ($dd_digg_buttonDesign=="normal") ? " selected" : ""; ?>>Normal</option>
<option value="compact"<?php echo ($dd_digg_buttonDesign=="compact") ? " selected" : ""; ?>>Compact</option>
<option value="icon"<?php echo ($dd_digg_buttonDesign=="icon") ? " selected" : ""; ?>>Icon</option>
</select> 
</p>
</div>
</td>

<td width="50%">


<div class="wrap">
<h2>Reddit.com</h2>

<h3>Reddit Button Append Options</h3>

<p>Select where the Reddit button you want to integrate into wordpress content</p>

<p>
<select name="dd_reddit_appendType">
<option value="none"<?php echo ($dd_reddit_appendType=="none") ? " selected" : ""; ?>>--No Display--</option>
<option value="left_float"<?php echo ($dd_reddit_appendType=="left_float") ? " selected" : ""; ?>>Left Float Type</option>
<option value="right_float"<?php echo ($dd_reddit_appendType=="right_float") ? " selected" : ""; ?>>Right Float Type</option>
<option value="before_content"<?php echo ($dd_reddit_appendType=="before_content") ? " selected" : ""; ?>>Before Content Type</option>
<option value="after_content"<?php echo ($dd_reddit_appendType=="after_content") ? " selected" : ""; ?>>After Content Type</option>
</select> 
</p>

<h3>Reddit Button Allow Display Options </h3>

<p>Reddit button allow to display in...</p>

<p>

<INPUT TYPE=CHECKBOX NAME="dd_reddit_home" <?php echo get_option('dd_reddit_display_home'); ?>>home page<br /> 
<INPUT TYPE=CHECKBOX NAME="dd_reddit_page" <?php echo get_option('dd_reddit_display_page'); ?>>static pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_reddit_post" <?php echo get_option('dd_reddit_display_post'); ?>>post pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_reddit_cat" <?php echo get_option('dd_reddit_display_cat'); ?>>category pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_reddit_archive" <?php echo get_option('dd_reddit_display_archive'); ?>>archive pages<br />
</p>


<h3>Reddit Button Design Options</h3>

<p>Select the Reddit button design</p>

<p>
<select name="dd_reddit_buttonDesign">
<option value="normal"<?php echo ($dd_reddit_buttonDesign=="normal") ? " selected" : ""; ?>>Normal</option>
<option value="compact"<?php echo ($dd_reddit_buttonDesign=="compact") ? " selected" : ""; ?>>Compact</option>
<option value="icon"<?php echo ($dd_reddit_buttonDesign=="icon") ? " selected" : ""; ?>>Icon</option>
</select> 
</p>
</div>


<td></tr>

<tr>
<td width="50%">


<div class="wrap">
<h2>dzone.com</h2>

<h3>dzone Button Append Options</h3>

<p>Select where the dzone button you want to integrate into wordpress content</p>

<p>
<select name="dd_dzone_appendType">
<option value="none"<?php echo ($dd_dzone_appendType=="none") ? " selected" : ""; ?>>--No Display--</option>
<option value="left_float"<?php echo ($dd_dzone_appendType=="left_float") ? " selected" : ""; ?>>Left Float Type</option>
<option value="right_float"<?php echo ($dd_dzone_appendType=="right_float") ? " selected" : ""; ?>>Right Float Type</option>
<option value="before_content"<?php echo ($dd_dzone_appendType=="before_content") ? " selected" : ""; ?>>Before Content Type</option>
<option value="after_content"<?php echo ($dd_dzone_appendType=="after_content") ? " selected" : ""; ?>>After Content Type</option>
</select> 
</p>

<h3>dzone Button Allow Display Options </h3>

<p>dzone button allow to display in...</p>

<p>

<INPUT TYPE=CHECKBOX NAME="dd_dzone_home" <?php echo get_option('dd_dzone_display_home'); ?>>home page<br /> 
<INPUT TYPE=CHECKBOX NAME="dd_dzone_page" <?php echo get_option('dd_dzone_display_page'); ?>>static pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_dzone_post" <?php echo get_option('dd_dzone_display_post'); ?>>post pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_dzone_cat" <?php echo get_option('dd_dzone_display_cat'); ?>>category pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_dzone_archive" <?php echo get_option('dd_dzone_display_archive'); ?>>archive pages<br />
</p>


<h3>dzone Button Design Options</h3>

<p>Select the dzone button design</p>

<p>
<select name="dd_dzone_buttonDesign">
<option value="normal"<?php echo ($dd_dzone_buttonDesign=="normal") ? " selected" : ""; ?>>Normal</option>
<option value="compact"<?php echo ($dd_dzone_buttonDesign=="compact") ? " selected" : ""; ?>>Compact</option>
</select> 
</p>
</div>


</td>
<td width="50%">


<div class="wrap">
<h2>buzz.yahoo.com</h2>

<h3>Yahoo Buzz Button Append Options</h3>

<p>Select where the Yahoo Buzz button you want to integrate into wordpress content</p>

<p>
<select name="dd_ybuzz_appendType">
<option value="none"<?php echo ($dd_ybuzz_appendType=="none") ? " selected" : ""; ?>>--No Display--</option>
<option value="left_float"<?php echo ($dd_ybuzz_appendType=="left_float") ? " selected" : ""; ?>>Left Float Type</option>
<option value="right_float"<?php echo ($dd_ybuzz_appendType=="right_float") ? " selected" : ""; ?>>Right Float Type</option>
<option value="before_content"<?php echo ($dd_ybuzz_appendType=="before_content") ? " selected" : ""; ?>>Before Content Type</option>
<option value="after_content"<?php echo ($dd_ybuzz_appendType=="after_content") ? " selected" : ""; ?>>After Content Type</option>
</select> 
</p>

<h3>Yahoo Buzz Button Allow Display Options </h3>

<p>Yahoo Buzz button allow to display in...</p>

<p>

<INPUT TYPE=CHECKBOX NAME="dd_ybuzz_home" <?php echo get_option('dd_ybuzz_display_home'); ?>>home page<br /> 
<INPUT TYPE=CHECKBOX NAME="dd_ybuzz_page" <?php echo get_option('dd_ybuzz_display_page'); ?>>static pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_ybuzz_post" <?php echo get_option('dd_ybuzz_display_post'); ?>>post pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_ybuzz_cat" <?php echo get_option('dd_ybuzz_display_cat'); ?>>category pages<br />
<INPUT TYPE=CHECKBOX NAME="dd_ybuzz_archive" <?php echo get_option('dd_ybuzz_display_archive'); ?>>archive pages<br />
</p>


<h3>Yahoo Buzz Button Design Options</h3>

<p>Select the Yahoo Buzz button design</p>

<p>
<select name="dd_ybuzz_buttonDesign">
<option value="normal"<?php echo ($dd_ybuzz_buttonDesign=="normal") ? " selected" : ""; ?>>Normal</option>
<option value="compact"<?php echo ($dd_ybuzz_buttonDesign=="compact") ? " selected" : ""; ?>>Compact</option>
</select> 
</p>
</div>

</td>
</tr>

<tr>
<td width="50%"></td>
<td align="right" width="50%">
<span class="submit"><input name="digg_digg_clear" id="reset" style='width:150px' value="Reset Options" type="submit" />
<input name="digg_digg_save" id="save" style='width:150px' value="Save Changes" type="submit" /></span>
</td>
</tr>


</table>

</fieldset>

</div>
</form>

<br/>
<br/>

<?php
}

function digg_digg_content_hook($content = ''){
	
     $dd_digg_display =true;
     $dd_reddit_display =true;
	 $dd_dzone_display =true;
	 $dd_ybuzz_display =true;

	 //digg
     if(is_home() && !get_option('dd_digg_display_home') == 'checked=on')
           $dd_digg_display = false;
     if(is_page() && !get_option('dd_digg_display_page') == 'checked=on')
           $dd_digg_display = false;
     if(is_single() && !get_option('dd_digg_display_post') == 'checked=on')
           $dd_digg_display = false;
     if(is_category() && !get_option('dd_digg_display_cat') == 'checked=on')
           $dd_digg_display = false;
     if(is_archive() && !get_option('dd_digg_display_archive') == 'checked=on' && !is_category())
           $dd_digg_display = false;

	 //reddit
     if(is_home() && !get_option('dd_reddit_display_home') == 'checked=on')
	     $dd_reddit_display =false;
     if(is_page() && !get_option('dd_reddit_display_page') == 'checked=on')
	     $dd_reddit_display =false;
     if(is_single() && !get_option('dd_reddit_display_post') == 'checked=on')
	     $dd_reddit_display =false;
     if(is_category() && !get_option('dd_reddit_display_cat') == 'checked=on')
	     $dd_reddit_display =false;
     if(is_archive() && !get_option('dd_reddit_display_archive') == 'checked=on' && !is_category())
	     $dd_reddit_display =false;

	 //dzone
	 if(is_home() && !get_option('dd_dzone_display_home') == 'checked=on')
	     $dd_dzone_display =false;
     if(is_page() && !get_option('dd_dzone_display_page') == 'checked=on')
	     $dd_dzone_display =false;
     if(is_single() && !get_option('dd_dzone_display_post') == 'checked=on')
	     $dd_dzone_display =false;
     if(is_category() && !get_option('dd_dzone_display_cat') == 'checked=on')
	     $dd_dzone_display =false;
     if(is_archive() && !get_option('dd_dzone_display_archive') == 'checked=on' && !is_category())
	     $dd_dzone_display =false;
	 

	 //Yahoo Buzz
	 if(is_home() && !get_option('dd_ybuzz_display_home') == 'checked=on')
	     $dd_ybuzz_display =false;
     if(is_page() && !get_option('dd_ybuzz_display_page') == 'checked=on')
	     $dd_ybuzz_display =false;
     if(is_single() && !get_option('dd_ybuzz_display_post') == 'checked=on')
	     $dd_ybuzz_display =false;
     if(is_category() && !get_option('dd_ybuzz_display_cat') == 'checked=on')
	     $dd_ybuzz_display =false;
     if(is_archive() && !get_option('dd_ybuzz_display_archive') == 'checked=on' && !is_category())
	     $dd_ybuzz_display =false;
		 
     $result = "";
     global $wp_query; 
     $post = $wp_query->post;
     $id = $post->ID;
     $postlink = get_permalink($id);
     $title = urlencode($post->post_title);

     $digglink = split('#',$postlink);

     $dd_digg_appendType = get_option('dd_digg_appendType');
     $dd_digg_design = get_option('dd_digg_buttonDesign');
	 
	 $dd_reddit_appendType = get_option('dd_reddit_appendType');
	 $dd_reddit_design = get_option('dd_reddit_buttonDesign');
	
	 $dd_dzone_appendType = get_option('dd_dzone_appendType');
	 $dd_dzone_design = get_option('dd_dzone_buttonDesign');
	 
	 $dd_ybuzz_appendType = get_option('dd_ybuzz_appendType');
	 $dd_ybuzz_design = get_option('dd_ybuzz_buttonDesign');

	 //digg
     if($dd_digg_design == 'normal')
          $dd_digg_design .=  "' height='80' width='52'";

     if($dd_digg_design == 'compact')
          $dd_digg_design .=  "' height='18' width='120'";

     if($dd_digg_design == 'icon')
          $dd_digg_design .=  "' height='16' width='16'";

	 //reddit
	 if($dd_reddit_design == 'normal')
          $dd_reddit_design =  "&amp;t=2 ' height='80' width='52'";

     if($dd_reddit_design == 'compact')
          $dd_reddit_design =  "&amp;t=1 ' height='18' width='120'";

     if($dd_reddit_design == 'icon')
          $dd_reddit_design =  "&amp;t=3 ' height='80' width='65'";
 
	 //dzone
	 if($dd_dzone_design == 'normal')
          $dd_dzone_design =  "&amp;t=1 ' height='80' width='52'";

     if($dd_dzone_design == 'compact')
          $dd_dzone_design =  "&amp;t=2 ' height='18' width='120'";

     //yahoo buzz
	 if($dd_ybuzz_design == 'normal')
          $dd_ybuzz_design =  "square";

     if($dd_ybuzz_design == 'compact')
          $dd_ybuzz_design =  "small-votes";
		  
   
    $dd_digg_iframe = "<iframe src='http://digg.com/api/diggthis.php?w=new&amp;u=" .htmlspecialchars($digglink[0]) . "&amp;t=" . $title . "&amp;s=" . $dd_digg_design . " frameborder='0' scrolling='no'></iframe>";
	$dd_digg_iframe = "<td>" . $dd_digg_iframe . "</td>";

	$dd_reddit_iframe = "<iframe src='http://www.reddit.com/button_content?newwindow=1&amp;url=" .htmlspecialchars($digglink[0]) . "&amp;title=" . $title . $dd_reddit_design .  " scrolling='no' frameborder='0' ></iframe>";
	$dd_reddit_iframe = "<td>" . $dd_reddit_iframe . "</td>";
	
	$dd_dzone_iframe = "<iframe src='http://widgets.dzone.com/links/widgets/zoneit.html?url=" .htmlspecialchars($digglink[0]) . "&amp;title=" . $title . $dd_dzone_design .  " scrolling='no' frameborder='0' ></iframe>";
	$dd_dzone_iframe = "<td>" . $dd_dzone_iframe . "</td>";
	
	//Yahoo Buzz not support iframe, output javascript
	$dd_ybuzz_iframe = "<script type=\"text/javascript\"><!--yahooBuzzArticleHeadline=" . $title . ";//--></script><script type=\"text/javascript\" src=\"http://d.yimg.com/ds/badge2.js\" badgetype=" . $dd_ybuzz_design . "></script>";
	$dd_ybuzz_iframe = "<td>" . $dd_ybuzz_iframe . "</td>";
		
	$dd_left_flag = false;
	$dd_right_flag = false;
	$dd_before_flag = false;
	$dd_after_flag = false;
	
	//line up
	$dd_line_up = get_option('dd_line_up');
	
	//left float
	 $dd_left_float = "<div style='float:left'><table>" ;

	 if($dd_line_up == "vertical"){
	 
		if($dd_digg_appendType=='left_float' && $dd_digg_display ==true){
			 $dd_left_float .= ' <tr>' . $dd_digg_iframe . '</tr>';
			 $dd_left_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='left_float' && $dd_reddit_display ==true){
			 $dd_left_float .= ' <tr>' . $dd_reddit_iframe . '</tr>';
			 $dd_left_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='left_float' && $dd_dzone_display ==true){
			 $dd_left_float .= ' <tr>' . $dd_dzone_iframe . '</tr>';
			 $dd_left_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='left_float' && $dd_ybuzz_display ==true){
			 $dd_left_float .= ' <tr>' . $dd_ybuzz_iframe . '</tr>';
			 $dd_left_flag = true;
		 }
	 }else{
	 
		 if($dd_digg_appendType=='left_float' && $dd_digg_display ==true){
				 $dd_left_float .= ' ' . $dd_digg_iframe;
				 $dd_left_flag = true;
			 }
			 
		 if($dd_reddit_appendType=='left_float' && $dd_reddit_display ==true){
			 $dd_left_float .= ' ' . $dd_reddit_iframe;
			 $dd_left_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='left_float' && $dd_dzone_display ==true){
			 $dd_left_float .= ' ' . $dd_dzone_iframe;
			 $dd_left_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='left_float' && $dd_ybuzz_display ==true){
			 $dd_left_float .= ' ' . $dd_ybuzz_iframe;
			 $dd_left_flag = true;
		 }
	 }
	 
	 $dd_left_float .= "</table></div>";
		  
	//right float 
	 $dd_right_float = "<div style='float:right'><table>" ;
	 
	 if($dd_line_up == "vertical"){
	 
		 if($dd_digg_appendType=='right_float'  && $dd_digg_display ==true){
			$dd_right_float .= ' <tr>' . $dd_digg_iframe . '</tr>';
			$dd_right_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='right_float' && $dd_reddit_display ==true){
			 $dd_right_float .= ' <tr>' . $dd_reddit_iframe . '</tr>';
			 $dd_right_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='right_float' && $dd_dzone_display ==true){
			 $dd_right_float .= ' <tr>' . $dd_dzone_iframe . '</tr>';
			 $dd_right_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='right_float' && $dd_ybuzz_display ==true){
			 $dd_right_float .= ' <tr>' . $dd_ybuzz_iframe . '</tr>';
			 $dd_right_flag = true;
		 }
		 
	 }else{
	 
		 if($dd_digg_appendType=='right_float'  && $dd_digg_display ==true){
			$dd_right_float .= ' ' . $dd_digg_iframe;
			$dd_right_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='right_float' && $dd_reddit_display ==true){
			 $dd_right_float .= ' ' . $dd_reddit_iframe;
			 $dd_right_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='right_float' && $dd_dzone_display ==true){
			 $dd_right_float .= ' ' . $dd_dzone_iframe;
			 $dd_right_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='right_float' && $dd_ybuzz_display ==true){
			 $dd_right_float .= ' ' . $dd_ybuzz_iframe;
			 $dd_right_flag = true;
		 }
	 }
	
	 $dd_right_float .= "</table></div>";
		  
	//before content
	 $dd_before_content = "<div><table>" ;
	 
	 if($dd_line_up == "vertical"){
	 
		 if($dd_digg_appendType=='before_content'  && $dd_digg_display ==true){
			 $dd_before_content .= ' <tr>' . $dd_digg_iframe . '</tr>';
			 $dd_before_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='before_content' && $dd_reddit_display ==true){
			 $dd_before_content .= ' <tr>' . $dd_reddit_iframe . '</tr>';
			 $dd_before_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='before_content' && $dd_dzone_display ==true){
			 $dd_before_content .= ' <tr>' . $dd_dzone_iframe . '</tr>';
			 $dd_before_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='before_content' && $dd_ybuzz_display ==true){
			 $dd_before_content .= ' <tr>' . $dd_ybuzz_iframe . '</tr>';
			 $dd_before_flag = true;
		 }
	 
	 }else{
	 
		 if($dd_digg_appendType=='before_content'  && $dd_digg_display ==true){
			 $dd_before_content .= ' ' . $dd_digg_iframe;
			 $dd_before_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='before_content' && $dd_reddit_display ==true){
			 $dd_before_content .= ' ' . $dd_reddit_iframe;
			 $dd_before_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='before_content' && $dd_dzone_display ==true){
			 $dd_before_content .= ' ' . $dd_dzone_iframe;
			 $dd_before_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='before_content' && $dd_ybuzz_display ==true){
			 $dd_before_content .= ' ' . $dd_ybuzz_iframe;
			 $dd_before_flag = true;
		 }
	 
	 }
	
	 
	 $dd_before_content .= "</table></div>";
	 
	 //after content
	 $dd_after_content = "<div><table>" ;
	 
	 if($dd_line_up == "vertical"){
	 
		if($dd_digg_appendType=='after_content'  && $dd_digg_display ==true){
			 $dd_after_content .= ' <tr>' . $dd_digg_iframe . '</tr>';
			 $dd_after_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='after_content' && $dd_reddit_display ==true){
			 $dd_after_content .= ' <tr>' . $dd_reddit_iframe . '</tr>';
			 $dd_after_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='after_content' && $dd_dzone_display ==true){
			 $dd_after_content .= ' <tr>' . $dd_dzone_iframe . '</tr>';
			 $dd_after_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='after_content' && $dd_ybuzz_display ==true){
			 $dd_after_content .= ' <tr>' . $dd_ybuzz_iframe . '</tr>';
			 $dd_after_flag = true;
		 }
		 
	 }else{
	 
		if($dd_digg_appendType=='after_content'  && $dd_digg_display ==true){
			 $dd_after_content .= ' ' . $dd_digg_iframe;
			 $dd_after_flag = true;
		 }
		 
		 if($dd_reddit_appendType=='after_content' && $dd_reddit_display ==true){
			 $dd_after_content .= ' ' . $dd_reddit_iframe;
			 $dd_after_flag = true;
		 }
		 
		 if($dd_dzone_appendType=='after_content' && $dd_dzone_display ==true){
			 $dd_after_content .= ' ' . $dd_dzone_iframe;
			 $dd_after_flag = true;
		 }
		 
		 if($dd_ybuzz_appendType=='after_content' && $dd_ybuzz_display ==true){
			 $dd_after_content .= ' ' . $dd_ybuzz_iframe;
			 $dd_after_flag = true;
		 }
	 
	 }
	 
	 $dd_after_content .= "</table></div>";
	
	  
	$dd_author_comment = "<!-- This is a HTML comment, it will not display in any page. Feel free to remove this comment if it cause any inconvenient to you.
	Thanks for using digg digg, please visit http://www.mkyong.com/blog/digg-digg-wordpress-plugin for any comments and ideas, 
	
    Author : Yong Mook Kim
    Website : http://www.mkyong.com
	-->";

 
	if($dd_left_flag == true)
		$content = $dd_author_comment . $dd_left_float . $content;
	
	if($dd_right_flag == true)
		$content = $dd_author_comment . $dd_right_float . $content;
	
	if($dd_before_flag == true)
		$content = $dd_author_comment . $dd_before_content . $content;
	
	if($dd_after_flag == true)
		$content = $content . $dd_after_content . $dd_author_comment;
	
     return $content;
}

//function to gernerate digg button
function digg_digg_generate()
{
	$result = "";
	global $wp_query; 
	$post = $wp_query->post;
	$id = $post->ID;
	$postlink = get_permalink($id);
       
	$title = urlencode($post->post_title);

	$digglink = split('#',$postlink);

    $dd_digg_design = get_option('dd_digg_buttonDesign');
   
	//digg
	 if($dd_digg_design == 'normal')
		 $dd_digg_design .=  "' height='80' width='52'";

	 if($dd_digg_design == 'compact')
		  $dd_digg_design .=  "' height='18' width='120'";

	 if($dd_digg_design == 'icon')
		  $dd_digg_design .=  "' height='16' width='16'";

    $result = "<iframe src='http://digg.com/api/diggthis.php?w=new&amp;u=" .htmlspecialchars($digglink[0]) . "&amp;t=" . $title . "&amp;s=" . $dd_digg_design . "' frameborder='0' scrolling='no'></iframe>";
      
  	echo $result;
}  


//function to gernerate reddit button
function digg_digg_reddit_generate()
{
	$result = "";
	global $wp_query; 
	$post = $wp_query->post;
	$id = $post->ID;
	$postlink = get_permalink($id);
       
	$title = urlencode($post->post_title);

	$digglink = split('#',$postlink);

    $dd_reddit_design = get_option('dd_reddit_buttonDesign');
 
	 //reddit
	 if($dd_reddit_design == 'normal')
          $dd_reddit_design =  "&amp;t=2 ' height='80' width='52'";

     if($dd_reddit_design == 'compact')
          $dd_reddit_design =  "&amp;t=1 ' height='18' width='120'";

     if($dd_reddit_design == 'icon')
          $dd_reddit_design =  "&amp;t=3 ' height='80' width='65'";
 
   $result = "<iframe src='http://www.reddit.com/button_content?newwindow=1&amp;url=" . htmlspecialchars($digglink[0]) . "&amp;title=" . $title . $dd_reddit_design .  " scrolling='no' frameborder='0' ></iframe>";
	
  	echo $result;
}  

//function to gernerate dzone button
function digg_digg_dzone_generate()
{
	$result = "";
	global $wp_query; 
	$post = $wp_query->post;
	$id = $post->ID;
	$postlink = get_permalink($id);
       
	$title = urlencode($post->post_title);

	$digglink = split('#',$postlink);

    $dd_dzone_design = get_option('dd_dzone_buttonDesign');
 
	if($dd_dzone_design == 'normal')
          $dd_dzone_design =  "&amp;t=1 ' height='80' width='52'";

     if($dd_dzone_design == 'compact')
          $dd_dzone_design =  "&amp;t=2 ' height='18' width='120'";
  
	$result = "<iframe src='http://widgets.dzone.com/links/widgets/zoneit.html?url=" .htmlspecialchars($digglink[0]) . "&amp;title=" . $title . $dd_dzone_design .  " scrolling='no' frameborder='0' ></iframe>";
 
  	echo $result;
}  


//function to gernerate Yahoo Buzz button
function digg_digg_ybuzz_generate()
{
	$result = "";
	global $wp_query; 
	$post = $wp_query->post;
	$id = $post->ID;
	$postlink = get_permalink($id);
       
	$title = urlencode($post->post_title);

	$digglink = split('#',$postlink);

    $dd_ybuzz_design = get_option('dd_ybuzz_buttonDesign');
 
    if($dd_ybuzz_design == 'normal')
          $dd_ybuzz_design =  "square";

    if($dd_ybuzz_design == 'compact')
          $dd_ybuzz_design =  "small-votes";
		  
  
  	//Yahoo Buzz not support iframe, output javascript
	$result = "<script type=\"text/javascript\"><!--yahooBuzzArticleHeadline=" . $title . ";//--></script><script type=\"text/javascript\" src=\"http://d.yimg.com/ds/badge2.js\" badgetype=" . $dd_ybuzz_design . "></script>";
 
  	echo $result;
}  




?>